import request from '@/utils/request'

// 列表
export function getPageListData(url, queryInfo) {
  // console.log(url, 'getPageListData')
  return request({
    url,
    method: 'get',
    params: queryInfo
  })
}
// 删除
export function deletePageData(url) {
  return request({
    url,
    method: 'delete'
  })
}

// 添加
export function createPageData(url, newData) {
  return request({
    url,
    method: 'post',
    data: newData
  })
}
// 修改
export function editPageData(url, editData) {
  return request({
    url,
    method: 'put',
    data: editData
  })
}
// 详细
export function getPageDetail(url) {
  return request({
    url,
    method: 'get'
  })
}

export function getPageHandle(url,query) {
  return request({
    url,
    method: 'get',
    params: query
  })
}
// 查询岗位详细
export function getPost(postId) {
  return request({
    url: '/system/post/' + postId,
    method: 'get'
  })
}
